#
# spec file for package applet-window-buttons
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.38
%define qt5_version 5.9

Name:           applet-window-buttons
Version:        0.8.1
Release:        lp152.1.4
Summary:        Plasma 5 applet to show window buttons in panels
License:        GPL-2.0-or-later
Group:          System/GUI/KDE
URL:            https://github.com/psifidotos/applet-window-buttons
Source:         https://github.com/psifidotos/applet-window-buttons/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kconfigwidgets-devel >= %{kf5_version}
BuildRequires:  kdeclarative-devel >= %{kf5_version}
BuildRequires:  kdoctools-devel >= %{kf5_version}
BuildRequires:  kglobalaccel-devel >= %{kf5_version}
BuildRequires:  ki18n-devel >= %{kf5_version}
BuildRequires:  kwindowsystem-devel >= %{kf5_version}
BuildRequires:  kxmlgui-devel >= %{kf5_version}
BuildRequires:  libSM-devel
BuildRequires:  plasma-framework-devel >= %{kf5_version}
BuildRequires:  plasma5-workspace-devel >= 5.12
BuildRequires:  cmake(KDecoration2) >= 5.12
BuildRequires:  cmake(Qt5Core) >= %{qt5_version}
BuildRequires:  cmake(Qt5DBus) >= %{qt5_version}
BuildRequires:  cmake(Qt5Quick) >= %{qt5_version}
BuildRequires:  cmake(Qt5QuickWidgets) >= %{qt5_version}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_version}
BuildRequires:  cmake(Qt5X11Extras) >= %{qt5_version}

%description
This is a Plasma 5 applet that shows the current window appmenu in
one's panels. This plasmoid is coming from Latte land, but it can also
support Plasma panels.

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build
%fdupes %{buildroot}

%files
%license LICENSE
%{_kf5_qmldir}/org/kde/appletdecoration
%dir %{_kf5_plasmadir}/plasmoids
%{_kf5_plasmadir}/plasmoids/org.kde.windowbuttons
%{_kf5_servicesdir}/plasma-applet-org.kde.windowbuttons.desktop
%{_kf5_appstreamdir}/org.kde.windowbuttons.appdata.xml

%changelog
* Thu Feb 13 2020 Cor Blom <cornelis@solcon.nl>
- Update to version 0.8.1:
  * fix compatibility with Plasma 5.18 (Rodrigo Pedra Brum)
  * never hide buttons for AlwaysVisible visibility state
* Tue Jan 28 2020 Cor Blom <cornelis@solcon.nl>
- Update source URL
* Tue Jan 28 2020 Cor Blom <cornelis@solcon.nl>
- Update to version 0.8.0:
  * fix which plasma theme colors are used for buttons when
    Colors:Plasma Theme is chosen
  * do not show buttons that the current window has disabled them,
    for example a window is NOT Closable; Close button becomes hidden in such case
  * hide buttons when the last active maximized window is minimized
    and there are no other shown windows
  * improve configuration window texts
  * create a new decoration only when it is really needed
  * reduce filesystem trackers for scheme colors files
  * use shared decoration between all buttons
  * set an object name for the shared decoration in order to be
    easily identified by KDecoration2 decorations
* Sun Nov 24 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.7.0:
  * introduce a new Button Size percentage option and drop
    thickness margin in order to set the buttons size
  * introduce Hidden State in order for the user to choose how
    buttons should behave when they should not be shown. Currently
    two states are supported: Slide out and Preserve Empty Space
  * introduce a new Color Scheme based on current Plasma Theme
    used and make it also default
  * live preview for changes in the settings window
  * do not crash when the selected decoration does not exist in the
    systemm, for example it was uninstalled
  * update buttons for scheme changes
* Sun Sep  1 2019 Cor Blom <cornelis@solcon.nl>
- Update source URL
* Sun Sep  1 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.6.0:
  * new visibility mode: At least one window is shown
  * option to draw buttons in inactive state (for both c++ and
    aurorae decorations)
  * fix the current buttons decoration discovery, the user can now
    change between different decorations and the buttons style is
    updated runtime
  * hide when the last maximized window is closed and the visibility
    mode is ActiveMaximized
  * fix multi-screens behavior for Latte panels
  * fix typo that broke builds at some systems
* Fri Jul 12 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.5.0:
  * provide a relevant background for window buttons in configuration
    window to fix contrast issues
  * support new Latte v0.9 Communicator API
  * support new Latte v0.9 Windows Tracking interface when in Latte
    dock/panel
* Sun Jun 30 2019 Jan Engelhardt <jengelh@inai.de>
- Fix grammar in descriptions.
* Mon May 20 2019 Cor Blom <cornelis@solcon.nl>
- Update to 0.4:
  * add new KeepAbove button support (community contribution)
  * merge different versions into a single one. One version for all Plasma versions >= 5.12
  * close ComboBoxes after clicking
- Lower plasma requirement to 5.12 (should now work)
* Mon Mar  4 2019 Cor Blom <cornelis@solcon.nl>
- Update to 0.3.
* Sat Nov 17 2018 Cor Blom <cornelis@solcon.nl>
- Initial package
